<?php
	$m_popular_cities = new Cubix_Geography_Cities();

	$gender = 1;
	$type = false;
	if ( is_array($this->params['filter']) )
	{
		foreach ($this->params['filter'] as $v)
		{
			if ( array_search('boys', $v) )
				$gender = GENDER_MALE;
			else if ( array_search('trans', $v) )
				$gender = GENDER_TRANS;

			if ( array_search('agence', $v) )
				$type = USER_TYPE_AGENCY;
			else if ( array_search('independantes', $v) )
				$type = USER_TYPE_SINGLE_GIRL;
		}
	}

	$cache = Zend_Registry::get('cache');
	$cache_key = $gender . '_' . $type . '_popular_cities' . '_' . $this->request()->lang_id;

	$count = $cache->load($cache_key . '_count');
	if ( ! $popular_cities = $cache->load($cache_key) )
	{
		$popular_cities = $m_popular_cities->getPopularCities(4, $gender, $type);

		$cache->save($popular_cities, $cache_key, array());
		$cache->save($count, $cache_key . '_count', array());
	}
?>

<?php if ( count($popular_cities) > 0 ): ?>
<div class="most-cities">
	<span class="label bold"><?= $this->t('most_popular_cities') ?>:</span>

	<?php foreach ($popular_cities as $i => $popular_city): ?>
		<a href="<?= $this->getLink('escorts', array('city' => $popular_city->country_iso . '_' . $popular_city->city_slug, 'region' => null, 'filter' => null, 'page' => null)) ?>" title="<?= $this->t('escorts_in_city', array('CITY' => $popular_city->city_title)) ?>">
			<span><?= htmlentities($popular_city->city_title) ?></span>
			(<?= $popular_city->escort_count ?>)
		</a>
	<?php endforeach;?>
</div>
<? endif; ?>